Board logo

标题: 【求助】想给LIVE-CD整合进GIMP 2.4.4版,该怎么做呢? [打印本页]

作者: wavydoom    时间: 2008-2-10 00:23     标题: 【求助】想给LIVE-CD整合进GIMP 2.4.4版,该怎么做呢?

下载地址:

http://www.gimp.org/downloads/

因为我平时用的比较多的就是PS,想把更多的工作转移到LINUX下面去,想给自己整合一个功能更接近PSCS的图形处理软件到FANX/SLAX的LIVE CD里面。所以希望装GIMP,但是苦于不知道该怎么做才能把GIMP整合到SLAX里面去。

如果有朋友知道怎么具体操作把GIMP  2.4.4装到FANX/slax下面的,帮帮忙,给点指导,谢谢了~

我在SLAX老官网看了一下,有GIMP 2.2的MO,但是我还是想用2.4.4的。希望能有大家帮帮我。

[ 本帖最后由 wavydoom 于 2008-2-10 14:15 编辑 ]
作者: wjping119    时间: 2008-2-13 11:42

www.slackware.com/getslack下面选择一个镜像,下载你的 gimp2.4.4的tgz包回来,启动slax或fanx,用命令tgz2lzm命令转换成lzm模块,如果是老版本命令应该是 tgz2mo ,然后将模块植入iso中刻录光盘就OK了
如何植入iso中,请看本版精华贴
作者: wavydoom    时间: 2008-2-13 12:14

植入ISO会,用ULTRA ISO应该可以直接修改了,谢谢版主!
作者: wavydoom    时间: 2008-2-13 12:25

引用:
原帖由 wjping119 于 2008-2-13 11:42 发表
www.slackware.com/getslack下面选择一个镜像,下载你的 gimp2.4.4的tgz包回来,启动slax或fanx,用命令tgz2lzm命令转换成lzm模块,如果是老版本命令应该是 tgz2mo ,然后将模块植入iso中刻录光盘就OK了
如 ...
刚才启动live cd用了一下转换lzm命令,发现还是不太懂,嘿嘿,版主见谅~ 是不是如果放在HDA02的fanx文件夹下面还要加上目录位置啊?
能不能给个运行的范例?

我的运行过程是:  命令--》在终端运行--》tgz2lzm /hda02/fanx/gimp.tgz

不知道对不对。。。

作者: henshan2002    时间: 2008-2-13 21:46

老兄,你一定是找不到这个命令吧,呵呵
下载linux live script。http://www.linux-live.org/dl/linux-live-5.1.4.tar.gz。进入解压缩目录运行install脚本,就可以使用mo2dir,dir2mo,uselivemod等命令了。

我在自己的slackware上为slax制作了许多MO,速度快,又方便,没有内存限制。推荐在本地系统建立MO。
作者: wavydoom    时间: 2008-2-14 02:43

哇。。。不懂。。。我先慢慢试吧。实在不行再来请教。
作者: wavydoom    时间: 2008-2-14 05:58

我去官网下了一个FIREFOX的.LZM文件,用U ISO直接放到了BASE目录,然后保存ISO。虚拟机启动以后并没有找到FIRE FOX程序。然后又删掉,重新把它放到MODULES里面,进入FANX以后选择右键USE THIS MODULE,但是提示“更改文件名,此软件已经被插入”,不知道是哪里出错了?SLAX6 的LZM要怎么用啊?

GIMP 我下的是TAR.BZ2文件,用了tar /mnt/live/hda/mnt/slax/modules/gimp244.tar.bz2 以后不知道该怎么办了。。。

急切期望得到帮助~谢谢啦~
作者: wjping119    时间: 2008-2-14 09:40

突然又想到一个问题,楼主先运行fanx,然后安装gimp到系统中,在控制台运行gimp,看看缺少哪些库文件,估计缺很多,需要根据提示一一将这些库文件找到才行。因为slack使用KDE,很多gnome的库文件都没有安装。

gimp我在linuxpackages.net上找到了2.4.0的版本,还没有2.4.4的,如果就要使用2.4.4的版本你可以下载gimp的其它平台的包,比如rpm包来用。然后用rpm2tgz将其转换成tgz包使用

tgz2mo的命令是这样使用的

tgz2mo 你的tgz包    要生成的mo文件

tgz2mo  ××××.tgz  ××××.mo
作者: wjping119    时间: 2008-2-14 09:40

http://www.linuxpackages.net/sea ... e=gimp&ver=12.0

这儿 能找到 2.4.3 的   http://packages.zenwalk.org/?p=g ... mp;zversion=current

zenwalk Linux是slackware的一个分支,主要使用gnome桌面,当然也有很多gnome的软件,以后可以到这儿找。

[ 本帖最后由 wjping119 于 2008-2-14 12:00 编辑 ]
作者: henshan2002    时间: 2008-2-14 10:43



对,应该是这样的方法,
我机器不行,没有装不能帮你试哦,呵呵
作者: wavydoom    时间: 2008-2-14 13:56

万分感谢楼上的朋友的帮助。。。STILL TRYING...NOT WORKING...AYE CLAUMBA。。。。
作者: henshan2002    时间: 2008-2-16 21:42

朋友在吧,我找了slackware里的kpg安装好了啊,你是不会装还是说不知道打包呢
作者: wavydoom    时间: 2008-2-16 21:50

都不会!!!!
作者: wavydoom    时间: 2008-2-16 21:51

给个完整的过程吧~我将来整理一下做教程
作者: henshan2002    时间: 2008-2-16 22:23

你到第9楼找2.43的pkg包安装就行了啊,

下载下来的文件是......tgz格式,这个是slackware专用包,用installpkg ?????.tgz 安装

[ 本帖最后由 henshan2002 于 2008-2-16 22:26 编辑 ]
作者: wavydoom    时间: 2008-2-16 22:31

installpkg ?????.tgz

是在LIVE CD模式下使用,还是必须要把SLAX装到硬盘上使用呢?
作者: henshan2002    时间: 2008-2-16 22:46

都可以啊,老大,加我QQ32271149
作者: wavydoom    时间: 2008-2-16 23:44

加了,我的 13893516
作者: henshan2002    时间: 2008-2-17 19:20

2.2版本的lzm模块我已做出来了,本来要放上来,一看你要的是2.44的,
不得不下载一个啊,呵呵
安装时提示说要pyGTK环境,晕啊,我家上网很贵的,快下完了


下载了pyGTK安装他时又说要python的一个什么什么,好烦啊,算了disable了pyhon
可是用checkinstall打包时又说有错误,哎不得不用makepkg,还好,目前看是顺利做成了pgz包,现在就是pgz2lzm转换了


------------------------------------------

不行啊,无法用,我做出来的lzm有80M呵呵恐怖,
没办法我做不成

[ 本帖最后由 henshan2002 于 2008-2-17 22:14 编辑 ]
作者: wavydoom    时间: 2008-2-18 14:12

万分感谢,我现在换ubuntu 8.04作为硬盘使用了,昨天配置好了,包括网络,播放器,在线播放,3D桌面等。还不错,自带GIMP 2.4.3
作者: henshan2002    时间: 2008-2-18 14:27

ubuntu?
郁闷,我就是因为受不了ubuntu才装slackw,不过ubuntu中国内的汉化是做得很好的,推广也不错,等你用上几个月你就会明白,那个东西和windows一样,你就算把ubuntu搞得特熟了,也不会用linux,我和你的出发点不同,呵呵
作者: wavydoom    时间: 2008-2-19 13:49

已经发现这个问题了。。。UBUNTU对于新用户的难度主要集中在配置上。而不是真正接触到LINUX的一些更底层的东西。到底还是侧重于桌面普及上。

不过这样也好,不是每个人都希望能搞懂怎么运作的,大部分用户只是希望有一个替代WINDOW$ XP的操作系统就OK。




欢迎光临 中国Linux公社论坛 (http://forum.linuxfans.org/) Powered by Discuz! 6.1.0F